<%@ Page Language="C#" MasterPageFile="~/Site.master" EnableViewState="false" AutoEventWireup="true" CodeFile="Products.aspx.cs" Inherits="Products" Title="Products" %>

<asp:Content ID="Content1" ContentPlaceHolderID="c1" Runat="Server">

    <div class="MainProductContent">

        <div id="ProductTitle">
            <h2>
                <asp:label ID="ProductHeader" runat="server" />
            </h2>
        </div>

        <div class="std">
        
            <asp:DataList ID="ProductDataList" DataSourceID="ProductDataSource" RepeatColumns="2" RepeatDirection="Horizontal" runat="server">
            
                 <ItemTemplate>
                 
                    <div class="product">
                        
                        <div class="productimage">
                            <a href='ProductDetails.aspx?productID=<%# Eval("ProductID") %>'>
                                <img src='<%# Eval("ProductImage") %>' alt="product image" width="100" height="75" />
                            </a>
                        </div>
                        
                        <div class="productdetails">
                            <div class="ProductListHead">
                                <a href='ProductDetails.aspx?productID=<%# Eval("ProductID") %>'>
                                    <%# Eval("Description") %> 
                                </a>
                            </div>
                           
                            <span class="ProductListItem"><strong>Price: </strong>
                                <%# Eval("UnitCost", "{0:c}") %>
                            </span>
                        </div>
                    
                        <div class="productaddbutton">
                            <a href='ProductDetails.aspx?productID=<%# Eval("ProductID") %>'>Click for Details</a>
                        </div>
                                                                        
                    </div>
                                 
                </ItemTemplate>
            
            </asp:DataList>
            
            <div id="Navigation" class="navigation" runat="server">

                <div id="leftnav">
                    &nbsp;
                    <a id="PreviousPageNav" runat="server"> &lt;&lt; Previous Products</a>
                </div>
                
                <div id="rightnav">
                    &nbsp;
                    <a id="NextPageNav" runat="server">More Products &gt;&gt;</a>
                </div>
            
                <div id="numnav">
                    <asp:Label ID="PagerLocation" runat="server" />
                </div>
            
            </div>
            
            <asp:ObjectDataSource ID="ProductDataSource" TypeName="MyDalLayerTableAdapters.ProductsTableAdapter"
                                  SelectMethod="GetProductsByCategoryId" runat="server" OnSelected="ProductDataSource_Selected">
                                  
                <SelectParameters>
                    <asp:QueryStringParameter Name="CategoryId" QueryStringField="CategoryId" DefaultValue="0" />
                    <asp:QueryStringParameter Name="PageIndex" QueryStringField="PageIndex" DefaultValue="0" />
                    <asp:Parameter Name="NumRows" DefaultValue="10" Type="Int32" />
                    <asp:Parameter Name="CategoryName" Direction="Output" Type="string"/>
                    <asp:Parameter Name="CategoryProductCount" Direction="Output" Type="Int32" />
                </SelectParameters>
                
            </asp:ObjectDataSource>  

        </div>
               
    </div>

</asp:Content>

